{pkgs ? import <nixpkgs> {}}: let
  drv = pkgs.callPackage ./derivation.nix {};
in
  pkgs.mkShell {
    packages = [
      pkgs.pyright
      pkgs.black
    ];

    inputsFrom = [drv];

    shellHook = ''
      export PYTHONPATH="$PYTHONPATH:$(pwd)"
    '';
  }
